#!/bin/bash

wow_source_folder="retail"
wow_destiny_folder="retail"

# wow_source_folder="beta"
# wow_destiny_folder="retail"

# wow_source_folder="classic_era"
# wow_destiny_folder="classic_era"

src_folder="$(pwd)/./"
dest_folder="/Applications/World of Warcraft/_${wow_destiny_folder}_/Interface/AddOns/CzechQuests"

mkdir -p "$dest_folder/Addon/Data/"

fswatch -o "$src_folder" | while read -r change; do
  rsync -auv --delete \
    "$src_folder/Addon/Data/$wow_source_folder/" \
    "$dest_folder/Addon/Data/"

  cp "$src_folder/Addon/Data/other.lua" "$dest_folder/Addon/Data/"

  rsync -auv --delete \
    --exclude '.*' \
    --exclude 'Addon/Data/**' \
    --exclude 'lib/**' \
    --exclude 'Jenkinsfile' \
    "$src_folder" "$dest_folder"
done
