import { TolgeeKey } from '../../types';
import { normalize, writeMaleTranslation } from '../translation';

export const writeSpeech = (tolgeeKey: TolgeeKey): string => {
	let luaRecord = '';
	luaRecord += `addon.data.speech["${normalize(tolgeeKey.keyDescription)}_${tolgeeKey.keyName}"] = {\n`;
	luaRecord += writeMaleTranslation(tolgeeKey.translations);
	luaRecord += `}\n`;
	return luaRecord;
};
